<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:ws="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE4:WEBSERVICE:V3.13" xmlns:types="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE4:WEBSERVICE:TYPES:V3.13" targetNamespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE4:WEBSERVICE:V3.13">
	<wsdl:types>
		<xs:schema attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE4:WEBSERVICE:TYPES:V3.13" xmlns:ieq="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE4:WEBSERVICE:IEQ:V3.13" xmlns:ie="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE4:IE713:V3.13" version="1.0" xml:lang="en">
			<!--===== Imports =====-->
			<xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE4:WEBSERVICE:IEQ:V3.13" schemaLocation="ie713q.xsd"/>
			<xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE4:IE713:V3.13" schemaLocation="ie713.xsd"/>
			<!--===== WS Schema Definitions =====-->
			<xs:element name="queryEconomicOperator">
				<xs:complexType>
					<xs:sequence>
						<xs:element ref="ieq:EconomicOperatorCriteria"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:element name="queryEconomicOperatorResponse">
				<xs:complexType>
					<xs:sequence>
						<xs:element name="TraderAuthorisation" type="ie:TraderAuthorisationType" minOccurs="0" maxOccurs="unbounded"/>
						<xs:element name="TaxWarehouse" type="ie:TaxWarehouseType" minOccurs="0" maxOccurs="unbounded"/>
						<xs:element name="TemporaryAuthorisation" type="ie:TemporaryAuthorisationType" minOccurs="0" maxOccurs="unbounded"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
		</xs:schema>
	</wsdl:types>
	<wsdl:message name="queryEconomicOperatorSoapIn">
		<wsdl:part name="parameters" element="types:queryEconomicOperator"/>
	</wsdl:message>
	<wsdl:message name="queryEconomicOperatorSoapOut">
		<wsdl:part name="parameters" element="types:queryEconomicOperatorResponse"/>
	</wsdl:message>
	<wsdl:portType name="MaintainEconomicOperatorSoap">
		<wsdl:operation name="queryEconomicOperator">
			<wsdl:documentation>Query for economic operators based on supplied criteria.</wsdl:documentation>
			<wsdl:input message="ws:queryEconomicOperatorSoapIn"/>
			<wsdl:output message="ws:queryEconomicOperatorSoapOut"/>
		</wsdl:operation>
	</wsdl:portType>
	<wsdl:binding name="MaintainEconomicOperatorSoap" type="ws:MaintainEconomicOperatorSoap">
		<soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
		<wsdl:operation name="queryEconomicOperator">
			<soap:operation soapAction="http://emcs.dgtaxud.ec/queryEconomicOperator" style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
	</wsdl:binding>
	<wsdl:service name="MaintainEconomicOperator">
		<wsdl:documentation>Web service allowing consultation of economic operators.</wsdl:documentation>
		<wsdl:port name="MaintainEconomicOperatorSoap" binding="ws:MaintainEconomicOperatorSoap">
			<soap:address location="https://seed.dgtaxud.ec:8443/SEEDv1WS/excise/MaintainEconomicOperator.jws"/>
		</wsdl:port>
	</wsdl:service>
</wsdl:definitions>
